//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * 指向性ボックス距離テスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Geometry/Distance/OrientedBoxDistanceTest.h"

//------------------------------------------------------------------------------
// コンストラクタ
OrientedBoxDistanceTest::OrientedBoxDistanceTest(String name) :
	TestCase(name){
}
//------------------------------------------------------------------------------
// テストスィートの取得
Test* OrientedBoxDistanceTest::suite(){
	TestSuite* suite = new TestSuite("OrientedBoxDistanceTest");
	suite->addTest(new TestCaller(OrientedBoxDistanceTest, testPoint));
	suite->addTest(new TestCaller(OrientedBoxDistanceTest, testOrientedBox));
	suite->addTest(new TestCaller(OrientedBoxDistanceTest, testPlane));
	suite->addTest(new TestCaller(OrientedBoxDistanceTest, testRay));
	suite->addTest(new TestCaller(OrientedBoxDistanceTest, testSegment));
	suite->addTest(new TestCaller(OrientedBoxDistanceTest, testSphere));
	suite->addTest(new TestCaller(OrientedBoxDistanceTest, testTriangle));
	return suite;
}
//------------------------------------------------------------------------------
// 点テスト
void OrientedBoxDistanceTest::testPoint(){
}
//------------------------------------------------------------------------------
// 指向性ボックステスト
void OrientedBoxDistanceTest::testOrientedBox(){
}
//------------------------------------------------------------------------------
// 平面テスト
void OrientedBoxDistanceTest::testPlane(){
}
//------------------------------------------------------------------------------
// レイテスト
void OrientedBoxDistanceTest::testRay(){
}
//------------------------------------------------------------------------------
// セグメントテスト
void OrientedBoxDistanceTest::testSegment(){
}
//------------------------------------------------------------------------------
// 球テスト
void OrientedBoxDistanceTest::testSphere(){
}
//------------------------------------------------------------------------------
// 三角テスト
void OrientedBoxDistanceTest::testTriangle(){
}
//------------------------------------------------------------------------------
